<?php 
if ( function_exists('register_sidebar') ) 
{
register_sidebar(array('before_widget' => '', 
		'after_widget' => '',
		'before_title' => '<h2>',
		'after_title' => '</h2>',     
		));
register_sidebar(array('before_widget' => '', 
		'after_widget' => '',
		'before_title' => '<h2>',
		'after_title' => '</h2>',     
		));
}
if ( function_exists('wp_unregister_sidebar_widget') )
	{
        wp_unregister_sidebar_widget( __('Links') );
	}
	if ( function_exists('register_sidebar_widget') )
	{
		register_sidebar_widget(__('Links'), 'Nigarila_ShowLinks');
	}
	
function Nigarila_ShowLinks() {?>
	<h2>Links</h2>
	<ul>
		<?php wp_list_bookmarks('title_li='); ?>
	</ul>
</li>
<?php }	
function Nigarila_add_theme_page() {

	if ( $_GET['page'] == basename(__FILE__) ) {
	
	    // save settings
		if ( 'save' == $_REQUEST['action'] ) {

			update_option( 'Nigarila_name', $_REQUEST[ 's_name' ] );			
			update_option( 'Nigarila_email', $_REQUEST[ 's_email' ] );
			update_option( 'Nigarila_side1cat', $_REQUEST[ 's_side1cat' ] );
			update_option( 'Nigarila_side2cat', $_REQUEST[ 's_side2cat' ] );
			update_option( 'Nigarila_sortpages', $_REQUEST[ 's_sortpages' ] );
			update_option( 'Nigarila_about', stripslashes($_REQUEST[ 's_about' ]) );
			if( isset( $_REQUEST[ 's_pages' ] ) ) { update_option( 'Nigarila_pages', 1 ); } else { delete_option( 'Nigarila_pages' ); }
			if( isset( $_REQUEST[ 's_showtopnav' ] ) ) { update_option( 'Nigarila_topnav', 1 ); } else { delete_option( 'Nigarila_topnav' ); }			
			if( isset( $_POST[ 'excludepages' ] ) ) { update_option( 'Nigarila_excludepages', implode(',', $_POST['excludepages']) ); } else { delete_option( 'Nigarila_excludepages' ); }

			// goto theme edit page
			header("Location: themes.php?page=functions.php&saved=true");
			die;

  		// reset settings
		} else if( 'reset' == $_REQUEST['action'] ) {

			delete_option( 'Nigarila_name' );
			delete_option( 'Nigarila_email' );
			delete_option( 'Nigarila_pages' );
			delete_option( 'Nigarila_sortpages' );			
			delete_option( 'Nigarila_side1cat' );
			delete_option( 'Nigarila_side2cat' );
			delete_option( 'Nigarila_about' );						
			delete_option( 'Nigarila_topnav' );
			delete_option( 'Nigarila_excludepages');
			
			// goto theme edit page
			header("Location: themes.php?page=functions.php&reset=true");
			die;

		}
	}


    add_theme_page("NigaRila Theme Options", "NigaRila Theme Options", 'edit_themes', basename(__FILE__), 'Nigarila_theme_page');

}

function Nigarila_theme_page() {

	// --------------------------
	// Nigarila theme page content
	// --------------------------

	if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>NigaRila Theme: Settings saved.</strong></p></div>';
	if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>NigaRila Theme: Settings reset.</strong></p></div>';
	
?>
<style>
	.wrap { border:#ccc 1px dashed;}
	.Info { display:block; width:320px; padding:10px;border:1px solid #ddd; }		
	table tr td {border:#ddd 1px solid;font-family:Verdana, Arial, Serif;font-size:0.9em;}
	h4 {font-size:1.3em;color:#969669;font-weight:bold;margin:0;padding:10px 0;}	
</style>
<div class="wrap">

<h2>NigaRila 1.0</h2>

<p>Created with care, by <strong>Sadish</strong>. Check the NigaRila website for updates</p>

<form method="post">


<!-- blog layout options -->
<fieldset class="options">
<legend>Theme Settings</legend>

<p>Change the way your blog looks and acts with the many blog settings below</p>

<table width="100%" cellspacing="5" cellpadding="10" class="editform">
<tr>
<td valign="top" colspan="2" style="border:0px;margin:0;padding:0;">
	<input type="hidden" name="action" value="save" />
	<?php Nigarila_input( "save", "submit", "", "Apply Settings" );?>
</td>
</tr>
<tr>
<td valign="top" align="left" width=50%">
<?php
	Nigarila_th( "Side Notes 1" );	
	echo "Please select a category. Posts from this category will be displayed in sidebar one.";
	echo "<br/><br/>";
?>
	<?php
		global $wpdb;
		$id = get_option('Nigarila_side1cat');
		if ($id != 0) {
		$side1_title = $wpdb->get_var("SELECT cat_name from $wpdb->categories WHERE cat_ID = $id");
		} else {
			$side1_title='NOT SELECTED';
			}
		$asides_cats = $wpdb->get_results("SELECT * from $wpdb->categories");
	?>
			<select name="s_side1cat" id="s_side1cat">
				<option value="<?php echo get_option('Nigarila_side1cat'); ?>"><?php echo $side1_title; ?></option>
				<option value="-----">----</option>
				<option value="0">NOT SELECTED</option>
			<?php
				foreach ($asides_cats as $cat) {
					echo '<option value="' . $cat->cat_ID . '">' . $cat->cat_name . '</option>';
	          }
	          ?>
		</select>	

</td>
	<td valign="top" align="left">		
	<?php
	Nigarila_th( "Side Notes 2" );	
	echo "Please select a category. Posts from this category will be displayed in sidebar Two.";
	echo "<br/><br/>";
?>
	<?php
		global $wpdb;
		$id = get_option('Nigarila_side2cat');
		if ($id != 0) {
		$side2_title = $wpdb->get_var("SELECT cat_name from $wpdb->categories WHERE cat_ID = $id");
		} else {
			$side2_title='NOT SELECTED';
			}
		$asides_cats = $wpdb->get_results("SELECT * from $wpdb->categories");
	?>
			<select name="s_side2cat" id="s_side2cat">
				<option value="<?php echo get_option('Nigarila_side2cat'); ?>"><?php echo $side2_title; ?></option>
				<option value="-----">----</option>
				<option value="0">NOT SELECTED</option>
			<?php
				foreach ($asides_cats as $cat) {
					echo '<option value="' . $cat->cat_ID . '">' . $cat->cat_name . '</option>';
	          }
	          ?>
		</select>	
</td>
</tr>	
</table>

</fieldset>

<!-- personal options -->
<fieldset class="options">
<legend>Personal Information</legend>
<table width="100%" cellspacing="5" cellpadding="10" class="editform">
<tr>
<td valign="top" align="left" width=50%">
<?php
	Nigarila_th( "About You" );
		echo "Write something about you, so we can display it on the top of the sidebar.<br/>Some HTML is allowed.<br/><br/>";		
		Nigarila_input( "s_about", "textarea", "", get_option( 'Nigarila_about' ) );
	Nigarila_cth();	
?>
</td>
<td valign="top" align="left" width=50%">
<?php
		Nigarila_th( "Highlight your comments" );
		echo "Enter your name and email address, so we can highlight your comments when viewing the comments of a post<br/>";
		echo "<strong> Name </strong><br/>";
		Nigarila_input( "s_name", "text", "", get_option( 'Nigarila_name' ) );
		echo "<br/><strong>Email Address</strong><br/>";
		Nigarila_input( "s_email", "text", "", get_option( 'Nigarila_email' ) );
	Nigarila_cth(); ?>
</td>
</tr>

<tr>
<td valign="top" align="left" width=50%">
<?php
Nigarila_th("List Pages / Navigation");		
		Nigarila_input( "s_showtopnav", "checkbox", "Show Top Level Pages in Navigation at the top?", "1", get_option( 'Nigarila_topnav' ) );
		_e('<br/>Exclude the Following Pages from the Top Navigation <br/><br/>');
		global $wpdb;
		$results = $wpdb->get_results("SELECT ID, post_title from $wpdb->posts WHERE post_status='static' AND post_parent=0 ORDER BY post_title");
				
		$excludepages = explode(',', get_option('Nigarila_excludepages'));
				
		foreach($results as $page) {
			echo '<input type="checkbox" name="excludepages[]" value="' . $page->ID . '"';
			if(in_array($page->ID, $excludepages)) { echo ' checked="checked"'; }
			echo ' /> <a href="' . get_permalink($page->ID) . '">' . $page->post_title . '</a><br />';
		}		
Nigarila_cth( );				
?>
</td>
<td valign="top" align="left" width=50%">
<?php
	Nigarila_th("Pages List should be sorted by");		
		Nigarila_input( "s_sortpages", "radio", "Page Title ?", "post_title", get_option( 'Nigarila_sortpages' ) );
		Nigarila_input( "s_sortpages", "radio", "Date ?", "post_date", get_option( 'Nigarila_sortpages' ) );
		Nigarila_input( "s_sortpages", "radio", "Page Order ?", "menu_order", get_option( 'Nigarila_sortpages' ) );
		echo "(Each Page can be given a page order number, from the wordpress admin, edit page area)";
	Nigarila_cth( );				
?>
</td >
</tr>
<tr>
<td valign="top" colspan="2" style="border:0px;margin:0;padding:0;">
	<input type="hidden" name="action" value="save" />
	<?php Nigarila_input( "save", "submit", "", "Apply Settings" );?>
</td>
</tr>
</table>

</fieldset>
</form>

<form method="post">

<fieldset class="options">
<legend>Reset</legend>

<p>If for some reason you want to uninstall NigaRila then press the reset button to clean things up in the database.</p>
<p>You have to make sure to delete the theme folder, if you want to completely remove the theme.</p>
<?php

	Nigarila_input( "reset", "submit", "", "Reset Settings" );
	
?>

</div>

<input type="hidden" name="action" value="reset" />

</form>

<?php
}

add_action('admin_menu', 'Nigarila_add_theme_page');


// helper functions
// ----------------

function Nigarila_input( $var, $type, $description = "", $value = "", $selected="" ) {

	// ------------------------
	// add a form input control
	// ------------------------
	
 	echo "\n";
 	
	switch( $type ){
	
	    case "text":

	 		echo "<input name=\"$var\" id=\"$var\" type=\"$type\" style=\"width: 60%\" class=\"code\" value=\"$value\" />";
			
			break;
			
		case "submit":
		
	 		echo "<p class=\"submit\"><input name=\"$var\" type=\"$type\" value=\"$value\" /></p>";

			break;

		case "option":
		
			if( $selected == $value ) { $extra = "selected=\"true\""; }

			echo "<option value=\"$value\" $extra >$description</option>";
		
		    break;
  		case "radio":
  		
			if( $selected == $value ) { $extra = "checked=\"true\""; }
  		
  			echo "<label for='${var}${value}'><input name=\"$var\" id=\"${var}${value}\" type=\"$type\" value=\"$value\" $extra /> $description</label><br/>";
  			
  			break;
  			
		case "checkbox":
		
			if( $selected == $value ) { $extra = "checked=\"true\""; }

  			echo "<label for=\"$var\"><input name=\"$var\" id=\"$var\" type=\"$type\" value=\"$value\" $extra /> $description</label><br/>";

  			break;

		case "textarea":
		
		    echo "<textarea name=\"$var\" id=\"$var\" style=\"width: 80%; height: 10em;\" class=\"code\">$value</textarea>";
		
		    break;
	}

}

function Nigarila_th( $title ) {

	// ------------------
	// add a table header
	// ------------------

   	echo "<h4>" .$title . "</h4>";
	

}

function Nigarila_cth() {

	echo "<br/>";
	
}

function cp_get( $property ) {

	$value = get_option( "Nigarila_" . $property );
	return $value;
}
/*
Description: Author Highlight is to emit a user-specified class attribute if the comment is made by the specified author.
Created by Sadish Balasubramanian for use in NigaRila theme
*/

$cp_author_highlight = array(
	"class_name_highlight" => "highlighted",
	"class_name_else" => "",
   	"email" => get_option( 'Nigarila_email' ),
   	"author" => get_option( 'Nigarila_name' )
);

function cp_author_highlight() {

	global $comment;
	global $cp_author_highlight;

	if ( empty( $cp_author_highlight["author"] ) || empty( $cp_author_highlight["email"] ) || empty( $cp_author_highlight["class_name_highlight"] ) )
		return;

	$author = $comment -> comment_author;
	$email	= $comment -> comment_author_email;

	if ( strcasecmp( $author, $cp_author_highlight[ "author" ] ) == 0 && strcasecmp( $email, $cp_author_highlight["email"]) == 0 ) {

	return $cp_author_highlight[ "class_name_highlight" ];

	} else {

		return $cp_author_highlight[ "class_name_else" ];

	}

}
function echo_posts_for_sidebar($sideCatId,$NumPosts=2)
{
	if ($sideCatId<>0) { 
		$this_category = get_category($sideCatId); ?>
		<div class="sidepost">
		<h3 class="note">
			<em><a href="<?php echo get_category_feed_link($sideCatId, 'rss2'); ?>" title="Feed on <?php echo $this_category->cat_name; ?>"><span class="feed">&nbsp;</span></a></em>
			<a href="<?php echo get_category_link($sideCatId); ?>" title="<?php echo $this_category->cat_name; ?>"><?php echo $this_category->cat_name; ?></a>
		</h3>
		<?php $posts = query_posts("cat=".$sideCatId . "&showposts=".$NumPosts)?>
			<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
				<div class="post">	
					<h3 class="note"><em><?php comments_popup_link('(0)', '(1)', '(%)','',''); ?></em><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a></h3>
					<p class="post-info"><?php the_time('M d Y');?></p>
					<div class="post-content">
						<?php the_excerpt(); ?>
						<p class="post-info"><?php edit_post_link(); ?></p>					
					</div>				
				</div>
				<?php endwhile; ?>
				<p class="post-footer">All of <a href="<?php echo get_category_link($sideCatId); ?>" title="<?php echo $this_category->cat_name; ?>"><?php echo $this_category->cat_name; ?></a> &#187;<br/></p>
			<?php else: ?>
				<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
			<?php endif; ?>	
		</div>
	<?php }?>  <!-- end if sidecat not 0 -->
<?php } ?>
