<?php get_header(); ?>
	<div id="content">
	<div class="pagenav"><span class="navleft"><?php previous_post_link('&laquo; %link') ?></span><span class="navright"><?php next_post_link('%link &raquo;') ?></span></div>
	<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
		<div class="post">	
			<h2 class="post-title"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a></h2>
			<p class="post-info">Posted by <em><?php the_author_posts_link() ?></em> on <em><?php the_time('d M Y'); ?> at <?php the_time();?></em> | Tagged as: <em><?php the_category(', ') ?></em> <?php edit_post_link(); ?></p>
			<div class="post-content">
				<?php the_content("Continue Reading &#187;"); ?>
        <?php wp_link_pages(); ?>
			<p class="post-footer">
				<?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
			</p>
			<!--
			<?php trackback_rdf(); ?>
			-->
		</div>
		<?php comments_template(); ?>		
	</div>
	<?php endwhile; else: ?>
		<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
	<?php  endif; ?>	
</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>
