<?php get_header(); ?>
	<div id="content">
	<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
	<?php $attachment_link = wp_get_attachment_link($post->ID, 'full');; // This also populates the iconsize for the next line ?>
	<?php $_post = &get_post($post->ID); $classname = ($_post->iconsize[0] <= 128 ? 'small' : '') . 'attachment'; // This lets us style narrow icons specially ?>

		<div class="post">	
			<h2 class="post-title"><a href="<?php echo get_permalink($post->post_parent); ?>" rev="attachment"><?php echo get_the_title($post->post_parent); ?></a> &raquo; <a href="<?php echo get_permalink() ?>" rel="bookmark" title="Permanent Link: <?php the_title(); ?>"><?php the_title(); ?></a></h2>
			<p class="post-info">Posted by <em><?php the_author_posts_link() ?></em> on <em><?php the_time('d M Y'); ?> at <?php the_time();?></em> | Tagged as: <em><?php the_category(', ') ?></em> <?php edit_post_link(); ?></p>
			<div class="post-content">
				<p class="<?php echo $classname; ?>"><?php echo $attachment_link; ?><br /><?php echo basename($post->guid); ?></p>
				<?php the_content("Continue Reading &#187;"); ?>
				<?php wp_link_pages(); ?>
			<p class="post-footer">
				<?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
			</p>
			<!--
			<?php trackback_rdf(); ?>
			-->
		</div>
		<?php comments_template(); ?>		
	</div>
	<?php endwhile; else: ?>
		<p><?php _e('Sorry, no posts matched your criteria.'); ?></p>
	<?php  endif; ?>	
</div>
<?php get_sidebar(); ?>
<?php get_footer(); ?>
