<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head profile="http://gmpg.org/xfn/11">
	<title><?php bloginfo('name'); ?><?php wp_title();?></title>
  	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats -->
	<meta name="keywords" content="<?php bloginfo('name'); ?> <?php bloginfo('description'); ?>" />
	<meta name="description" content="<?php bloginfo('name'); ?> <?php bloginfo('description'); ?>" />
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
	<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
	<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
	<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<?php global $user_identity; get_currentuserinfo(); if ($user_identity) { ?>
<style type="text/css">
  /* <![CDATA[ */

  #cp-admin-bar {
  margin: 0;
  padding: 0;
  background: #16425f;
  border-bottom: 1px solid #000000;
  text-align: left;
  width: 100%;
  }

  #cp-admin-bar ul {
  margin: 0;
  padding: 4px;
  list-style-type: none;
  }

  #cp-admin-bar ul li {
  list-style-type: none;
  display: inline;
  margin: 0 10px;
  padding: 0;
  font-size: 1.1em;
  color: #ffffff;
  }

  #cp-admin-bar ul li.login { margin-right: 30px; }
  #cp-admin-bar ul li.howdy { position: absolute; right: 1em; }
  #cp-admin-bar a { color: #ffffff; text-decoration: none;}
  #cp-admin-bar a:hover { color: #9f9; }

  /* ]]> */
</style>
<?php } ?>
	<?php wp_head(); ?>
	<?php
	global $page_sort;	
	if(cp_get('sortpages')!='')
	{ 
		$page_sort = 'sort_column='. cp_get('sortpages');
	}
	global $pages_to_exclude;
	if(cp_get('excludepages')!='')
	{ 
		$pages_to_exclude = 'exclude='. cp_get('excludepages');
	}			
	?>
</head>
<body>	
<?php global $user_identity,$user_level; get_currentuserinfo(); if ($user_identity) {
echo '<div id="cp-admin-bar"><ul>';
echo "\n\t<li><a href='".get_option('siteurl')."/wp-admin/'><strong>".__('Dashboard','cp')." 	&#187;</strong></a></li>";
if ($user_level >= 1) {
echo '<li><a href="'.get_option('siteurl').'/wp-admin/post.php">'.__('New Post','cp').'</a></li>';
echo '<li><a href="'.get_option('siteurl').'/wp-admin/page-new.php">'.__('New Page','cp').'</a></li>';
}
if ($user_level >= 7) {
echo '<li><a href="'.get_option('siteurl').'/wp-admin/themes.php?page=functions.php">'.__('Nigarila Options','cp').'</a></li>';
}
echo "\n\t<li class=\"howdy\">".__('Logged in as ','cp')." <strong>"."<a href='".get_option('siteurl')."/wp-admin/profile.php'>".$user_identity."</a></strong>, ["; wp_loginout(); echo "]</li>";
echo "\n</ul></div>";
 } ?>

<div <?php if(is_page() || is_single()) { echo 'id="container2"'; } else { echo 'id="container3"'; } ?> >
<div id="header">
  <h1><a href="<?php bloginfo('siteurl')?>" title="<?php bloginfo('name');?>"><?php bloginfo('name');?></a></h1>	
</div>
<?php if(cp_get('topnav')==1) {?>
<ul id="navigation">
	<li <?php if(is_home()){echo 'class="current_page_item"';}?>><a href="<?php bloginfo('siteurl'); ?>" title="Home">Home</a></li>
	<?php wp_list_pages('title_li=&depth=1&'.$page_sort.'&'.$pages_to_exclude)?>
</ul>
<?php }?>
